Bug 243860 - Gnash plugin crashes X
Gnash plugin crashes X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
: 243089 243158 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 09:09 EDT by Paul T. Darga
Modified: 2008-06-16 21:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Xorg log containing the backtrace. (90.09 KB, text/plain)
2007-06-12 09:09 EDT, Paul T. Darga
no flags Details

  None (edit)
Description Paul T. Darga 2007-06-12 09:09:34 EDT
Description of problem:

I installed gnash-plugin, hoping that maybe it would play some things on Comedy
Central's site.  Of course, Comedy Central uses way too much flash for their
site, and gnash cannot handle the "motherload" page.  When I close that firefox
window, X crashes (and I end up back at the gdm login screen).

Version-Release number of selected component (if applicable):

gnash-plugin 0.7.2-2
gnash        0.7.2-2
firefox      2.0.0.4-2

These are all packages from a fully updated x86_64 fedora 7 install.

How reproducible:

Visit http://www.comedycentral.com/motherload/player.jhtml, then close the
window after gnash fails to render the site.
  
Additional info:

I've attached the postmortem Xorg log.
Comment 1 Paul T. Darga 2007-06-12 09:09:35 EDT
Created attachment 156793 [details]
The Xorg log containing the backtrace.
Comment 2 Paul T. Darga 2007-06-12 09:15:07 EDT
I should point out that it is not 100% reproducible; it might take some clicking
about comedycentral.com until closing some window causes the whole thing to crash.
Comment 3 Matěj Cepl 2007-06-15 11:14:31 EDT
Cool -- at least good reason why should I spend time on comedycentral. "No sir,
just trying to triage one complicated bug." :-D
Comment 4 Patrice Dumas 2007-06-17 14:28:25 EDT
*** Bug 243158 has been marked as a duplicate of this bug. ***
Comment 5 Patrice Dumas 2007-06-17 14:34:54 EDT
*** Bug 243089 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2008-05-14 09:01:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:33:32 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.